Package net.snowflake.client.core.arrow

## Class StructuredTypeDateTimeConverter

- java.lang.Object
- - net.snowflake.client.core.arrow.StructuredTypeDateTimeConverter

    public class StructuredTypeDateTimeConverter
    extends Object

### Constructor Summary

Constructors
`StructuredTypeDateTimeConverter​(TimeZone sessionTimeZone, long resultVersion, boolean honorClientTZForTimestampNTZ, boolean treatNTZAsUTC, boolean useSessionTimezone, boolean formatDateWithTimeZone)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Date` `getDate​(int value, TimeZone tz)`
`Time` `getTime​(long value, int scale)`
`Timestamp` `getTimestamp​(Map<String,​Object> obj, int columnType, int columnSubType, TimeZone tz, int scale)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StructuredTypeDateTimeConverter

    public StructuredTypeDateTimeConverter​(TimeZone sessionTimeZone,
                                           long resultVersion,
                                           boolean honorClientTZForTimestampNTZ,
                                           boolean treatNTZAsUTC,
                                           boolean useSessionTimezone,
                                           boolean formatDateWithTimeZone)

### Method Detail

#### getTimestamp

    public Timestamp getTimestamp​(Map<String,​Object> obj,
                                  int columnType,
                                  int columnSubType,
                                  TimeZone tz,
                                  int scale)
                           throws SFException

Throws:
  `SFException`

#### getDate

    public Date getDate​(int value,
                        TimeZone tz)
                 throws SFException

Throws:
  `SFException`

#### getTime

    public Time getTime​(long value,
                        int scale)
                 throws SFException

Throws:
  `SFException`